using System.Threading.Tasks;

namespace Mox.Shared
{
	public interface IGameLoop
	{
		Task Init();
		void OnKeyPressed(EKey _eKey);
		void OnMouseDown(int _iX, int _iY);
		void OnMouseMoved(int _iX, int _iY);
		void OnMouseUp(int _iX, int _iY);
		void Update(double _dDelta);
	}
}
